/*
  Test Parallax Ping sensor and turret servo together
*/

#include "simpletools.h"            // Include simpletools library
#include "ping.h"                   // Include ping library
#include "servo.h"                  // Include servo library

int main() {                        // main function
  int turretPin = 14;               // Standard servo connected to P14
  int pingPin = 15;                 // Ping connected to P15
  int dlay = 2000;                  // Turret move delay: 2 seconds
  while(1) {
    servo_angle(turretPin, 900);     // Servo to center
    doPing(pingPin,dlay);
    servo_angle(turretPin, 0);       // Servo turn clockwise
    doPing(pingPin, dlay);
    servo_angle(turretPin, 1800);    // Turn counter-clockwise
    doPing(pingPin, dlay);    
  }
}

// Fire the Ping and return the distance, in inches
int doPing(int pinNum, int waitDelay) {
  pause(750);                       //Settling delay
  int Dist = ping_inches(pinNum);   // Get object distance
  print("Dist = %d\n", Dist);       // Display distance on Terminal
  pause(waitDelay);                 // Wait before moving again
  return Dist;                      // Return distance from function
}